<template>
  <div>
    <br />
    <b-alert show variant="dark text-center">
      <strong>
        LES RESULTATS

        <h4>
          <b-badge variant="warning"> {{ nombreOfResults }} </b-badge>
        </h4>
      </strong>
    </b-alert>

    <div class="text-center" v-if="this.$store.getters.loadingState">
      <template>
        <div class="text-center">
          <b-icon icon="stopwatch" font-scale="3" animation="cylon"></b-icon>
          <p id="cancel-label">Chargement en cours...</p>
        </div>
      </template>
    </div>

    <div class="overflow-auto">
      <p class="mt-3">Page actuelle : {{ currentPage }}</p>

      <b-table
        v-on:dblclick="ss"
        striped
        hover
        id="my-table"
        :items="this.$store.getters.allResults"
        :per-page="perPage"
        :current-page="currentPage"
        small
      ></b-table>
      <b-pagination
        align="center"
        v-model="currentPage"
        :total-rows="nombreOfResults"
        :per-page="perPage"
        aria-controls="my-table"
      ></b-pagination>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      currentPage: 1,
    };
  },
  computed: {
    nombreOfResults() {
      return this.$store.getters.allResults.length;
    },
    perPage() {
      return this.$store.getters.perPage;
    },
  },

  methods: {
    ss() {
      console.log("test");
    },
  },
  async beforeMount() {
    await this.$store.dispatch("fetchResults");
  },
};
</script>


